<?php
define('NTLCMS', 1);
$module = 'notice';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница уведомлений - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Уведомления</b></div>';
if (isset($_GET['delete']) && DB :: run() -> querySingle("select count(`id`) from `notice` where `to` = ?", array($ulogin)) != 0){
DB :: run() -> query("delete from `notice` where `to` = ?", array($ilogin));
header('Location: '.URL.'/notice');
$_SESSION['success'] = 'Уведомления успешно удалены!';
}
$k_post = DB :: run() -> querySingle("select count(`id`) from `notice` where `to` = ?", array($ulogin));
$k_page = k_page($k_post, $onpage);
$page = page($k_page);
$start = $onpage * $page - $onpage;
$sql = DB :: run() -> query("select * from `notice` where `to` = ? order by `id` desc limit ".$start.", ".$onpage, array($ulogin));
if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> У вас нет уведомлений!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
DB :: run() -> query("update `notice` set `status` = ? where `id` = ? and `to` = ?", array(0, $row -> id, $ulogin));
echo '<div class="menu">
<b>- Дата:</b> '.date('d.m.Y H:i', $row -> date).'<br/>
<b>- Тема:</b> '.checkout($row -> tema).'<br/>
<b>- Сообщение:</b> '.outtext($row -> text, 1 ,1 ,1).'</div>';
}
if ($k_page > 1) navigation(URL.'/notice?', $k_page, $page);
}
if ($k_post > 0){
echo '<div class="menu"><i class="fa fa-trash-o fa-fw"></i> <a href="'.URL.'/notice_delete">Очистить уведомления</a></div>';
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/messages">Личная почта</a></div>';
include ('../system/foot.php');
?>